Bug 108566

Summary: calendar-picker-key-operations.html is failing
Product: WebKit Reporter: Hajime Morrita <morrita>
Component: FormsAssignee: Hajime Morrita <morrita>
Status: RESOLVED FIXED    
Severity: Normal CC: forms-bugs, haraken, tkent, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch 3 none

Description Hajime Morrita 2013-01-31 19:34:38 PST
I don't see any suspicious change

http://trac.webkit.org/log/?verbose=on&rev=141496&stop_rev=141491
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=platform%2Fchromium%2Ffast%2Fforms%2Fcalendar-picker%2Fcalendar-picker-key-operations.html

Seeing the failing test is named testToday(), my wild guess is that this might be a cross-month bug.
But I'm not confident about that.
Comment 1 Hajime Morrita 2013-01-31 19:59:42 PST
Marked http://trac.webkit.org/changeset/141527
Comment 2 Kent Tamura 2013-01-31 21:58:51 PST
> function testToday() {
>     eventSender.keyDown('t');
>     var now = new Date();
>     var expectedDate = serializeDate(now.getFullYear(), now.getMonth(), now.getDate());
>     var expectedMonth = popupWindow.Month.createFromDate(now).toString();
>     return selectedDate() === expectedDate && currentMonth() === expectedMonth;
> }

There is a timezone mismatch.  createFromDate() expects that the input represents a date in UTC.  So, the test started failing since January ended in UTC but it's still January in PST.
Comment 3 Kent Tamura 2013-02-01 01:09:07 PST
The test passed again because It became February in PST.

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=calendar-picker-key-operations.html
Comment 4 Hajime Morrita 2013-02-01 01:34:26 PST
(In reply to comment #3)
> http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=calendar-picker-key-operations.html

OK, I'll unskip it. Thanks for the reminder!
Comment 5 Hajime Morrita 2013-02-01 01:38:52 PST
Created attachment 185978 [details]
Patch
Comment 6 Hajime Morrita 2013-02-01 01:39:10 PST
Comment on attachment 185978 [details]
Patch

Just for closing this bug...
Comment 7 Kent Tamura 2013-02-01 01:40:01 PST
Comment on attachment 185978 [details]
Patch

No, we should fix the test bug.
Comment 8 Hajime Morrita 2013-02-01 01:43:42 PST
(In reply to comment #7)
> No, we should fix the test bug.
Well, right.
Comment 9 Kent Tamura 2013-02-01 02:16:03 PST
Created attachment 185988 [details]
Patch
Comment 10 Kentaro Hara 2013-02-03 15:59:51 PST
Comment on attachment 185988 [details]
Patch

LGTM
Comment 11 Kent Tamura 2013-02-03 16:00:03 PST
Created attachment 186270 [details]
Patch 3

resolve conflict
Comment 12 WebKit Review Bot 2013-02-03 16:48:41 PST
Comment on attachment 186270 [details]
Patch 3

Clearing flags on attachment: 186270

Committed r141722: <http://trac.webkit.org/changeset/141722>
Comment 13 WebKit Review Bot 2013-02-03 16:48:45 PST
All reviewed patches have been landed.  Closing bug.